Subject: Re: linux-next: build failure after merge of the regulator tree

From: Dmitry Osipenko <[email-masked]>
Date: Tue, 20 Nov 2018 03:56:15 +0300

On 20.11.2018 3:49, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the regulator tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "regulator_lock" [drivers/regulator/wm8350-regulator.ko] undefined!
> ERROR: "regulator_unlock" [drivers/regulator/wm8350-regulator.ko] undefined!
> ERROR: "regulator_unlock" [drivers/regulator/da9210-regulator.ko] undefined!
> ERROR: "regulator_lock" [drivers/regulator/da9210-regulator.ko] undefined!
> 
> Caused by commit
> 
>   f8702f9e4aa7 ("regulator: core: Use ww_mutex for regulators locking")
> 
> I have used the regulator tree from next-20181119 for today.
> 

My bad, forgot to export these functions. That's the same issue that was reporter by the build robot earlier. Will send the fix, sorry for the inconvenience.